Erstellt von - Uhr

IT-Sicherheit: Linux, MacOS X und UNIX bedroht - IT-Sicherheitslücke bei Oracle Java SE mit hohem Risiko! Warnung erhält Update

Eine für Oracle Java SE herausgegebene Sicherheitswarnung hat vom BSI ein Update erhalten. Was betroffene Nutzer tun können, erfahren Sie hier.

Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). (Foto) Suche
Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). Bild: Adobe Stock / Maximusdn

Das Bundesamt für Sicherheit in der Informationstechnik (BSI) hat am 10.06.2024 ein Update zu einer am 16.04.2024 bekanntgewordenen Sicherheitslücke mit mehreren Schwachstellen für Oracle Java SE veröffentlicht. Betroffen von der Sicherheitslücke sind die Betriebssysteme Linux, MacOS X, UNIX und Windows sowie die Produkte IBM Maximo Asset Management, Debian Linux, IBM WebSphere Service Registry and Repository, IBM Tivoli Monitoring, Amazon Linux 2, IBM InfoSphere Information Server, Red Hat Enterprise Linux, IBM WebSphere Application Server, Ubuntu Linux, SUSE Linux, Oracle Linux, Hitachi Command Suite, IBM Tivoli Business Service Manager, Hitachi Ops Center, RESF Rocky Linux, Oracle Java SE, Amazon Corretto, Azul Zulu, IBM Java, Dell NetWorker, IBM App Connect Enterprise und IBM InfoSphere Identity Insight.

Die neuesten Hersteller-Empfehlungen bezüglich Updates, Workarounds und Sicherheitspatches für diese Sicherheitslücke finden Sie hier: IBM Security Bulletin 7145433 (Stand: 11.06.2024). Weitere nützliche Quellen werden weiter unten in diesem Artikel aufgeführt.

Mehrere Schwachstellen für Oracle Java SE - Risiko: hoch

Risikostufe: 4 (hoch)
CVSS Base Score: 9,0
CVSS Temporal Score: 7,8
Remoteangriff: Ja

Zur Einschätzung des Schweregrads von Sicherheitsanfälligkeiten in Computersystemen wird das Common Vulnerability Scoring System (CVSS) angewandt. Der CVSS-Standard ermöglicht es, potenzielle oder tatsächliche Sicherheitslücken auf Basis verschiedener Metriken miteinander zu vergleichen, um Gegenmaßnahmen besser priorisieren zu können. Für die Schweregrade einer Schwachstelle werden die Attribute "keine", "niedrig", "mittel", "hoch" und "kritisch" verwendet. Der Base Score bewertet die Voraussetzungen für einen Angriff (u.a. Authentifizierung, Komplexität, Privilegien, Userinteraktion) sowie dessen Konsequenzen. Beim Temporal Score fließen über die Zeit veränderbare Rahmenbedingungen in die Bewertung ein. Die Gefährdung der hier behandelten Schwachstelle wird nach dem CVSS mit einem Base Score von 9,0 als "hoch" eingestuft.

Oracle Java SE Bug: Zusammenfassung der bekannten Schwachstellen

Die Java Platform, Standard Edition (SE) ist eine Sammlung von Java-APIs (JDK) und der Java Laufzeit Umgebung (JRE).

Ein entfernter, anonymer Angreifer kann mehrere Schwachstellen in Oracle Java SE ausnutzen, um die Vertraulichkeit, Integrität und Verfügbarkeit zu gefährden.

Die Verwundbarkeit wird mit den eindeutigen CVE-Identifikationsnummern (Common Vulnerabilities and Exposures) CVE-2023-41993, CVE-2024-20954, CVE-2024-21002, CVE-2024-21003, CVE-2024-21004, CVE-2024-21005, CVE-2024-21011, CVE-2024-21012, CVE-2024-21068, CVE-2024-21085, CVE-2024-21094, CVE-2024-21098 und CVE-2024-21892 gehandelt.

Von der Sicherheitslücke betroffene Systeme im Überblick

Betriebssysteme
Linux, MacOS X, UNIX, Windows

Produkte
IBM Maximo Asset Management 7.6.1.3 (cpe:/a:ibm:maximo_asset_management)
Debian Linux (cpe:/o:debian:debian_linux)
IBM WebSphere Service Registry and Repository 8.5 (cpe:/a:ibm:websphere_service_registry_and_repository)
IBM Tivoli Monitoring 6.3.0.7 (cpe:/a:ibm:tivoli_monitoring)
Amazon Linux 2 (cpe:/o:amazon:linux_2)
IBM InfoSphere Information Server 11.7 (cpe:/a:ibm:infosphere_information_server)
Red Hat Enterprise Linux (cpe:/o:redhat:enterprise_linux)
IBM WebSphere Application Server 8.5 (cpe:/a:ibm:websphere_application_server)
IBM WebSphere Application Server 9.0 (cpe:/a:ibm:websphere_application_server)
Ubuntu Linux (cpe:/o:canonical:ubuntu_linux)
SUSE Linux (cpe:/o:suse:suse_linux)
Oracle Linux (cpe:/o:oracle:linux)
IBM WebSphere Application Server Liberty (cpe:/a:ibm:websphere_application_server)
Hitachi Command Suite (cpe:/a:hitachi:command_suite)
IBM Tivoli Business Service Manager 6.2.0 (cpe:/a:ibm:tivoli_business_service_manager)
Hitachi Ops Center (cpe:/a:hitachi:ops_center)
RESF Rocky Linux (cpe:/o:resf:rocky_linux)
Oracle Java SE 21.0.2 (cpe:/a:oracle:java_se)
Oracle Java SE 22 (cpe:/a:oracle:java_se)
Oracle Java SE 21.3.9 (cpe:/a:oracle:java_se)
Oracle Java SE 11.0.22 (cpe:/a:oracle:java_se)
Oracle Java SE 17.0.10 (cpe:/a:oracle:java_se)
Oracle Java SE Oracle GraalVM for JDK: 17.0.10 (cpe:/a:oracle:java_se)
Oracle Java SE Oracle Java SE: 8u401; Oracle GraalVM Enterprise Edition: 20.3.13 (cpe:/a:oracle:java_se)
Oracle Java SE 22; Oracle GraalVM Enterprise Edition: 20.3.13 (cpe:/a:oracle:java_se)
Oracle Java SE Oracle Java SE: 8u401 (cpe:/a:oracle:java_se)
Oracle Java SE <=perf (cpe:/a:oracle:java_se)
Oracle Java SE 11.0.22; Oracle GraalVM Enterprise Edition: 20.3.13 (cpe:/a:oracle:java_se)
Oracle Java SE 22; Oracle GraalVM for JDK: 17.0.10 (cpe:/a:oracle:java_se)
Oracle Java SE 22; Oracle GraalVM Enterprise Edition: 21.3.9 (cpe:/a:oracle:java_se)
Oracle Java SE Oracle Java SE: 11.0.22 (cpe:/a:oracle:java_se)
Amazon Corretto <8.412.08.1 (cpe:/a:amazon:corretto)
Azul Zulu (cpe:/a:azul:zulu)
IBM Java <7.1.5.22 (cpe:/a:ibm:jre)
IBM Java <8.0.8.25 (cpe:/a:ibm:jre)
Dell NetWorker NRE <8.0.21 (cpe:/a:dell:networker)
IBM App Connect Enterprise <11.6.0 (cpe:/a:ibm:app_connect_enterprise)
IBM App Connect Enterprise LTS <5.0.18 (cpe:/a:ibm:app_connect_enterprise)
IBM InfoSphere Identity Insight (cpe:/a:ibm:infosphere_identity_insight)

Allgemeine Maßnahmen zum Umgang mit IT-Schwachstellen

  1. Anwender der betroffenen Systeme sollten diese auf dem aktuellsten Stand halten. Hersteller sind bei Bekanntwerden von Sicherheitslücken dazu angehalten, diese schnellstmöglich durch Entwicklung eines Patches oder eines Workarounds zu beheben. Sollten neue Sicherheitsupdates verfügbar sein, installieren Sie diese zeitnah.
  2. Konsultieren Sie zu Informationszwecken die im nächsten Abschnitt aufgeführten Quellen. Häufig enthalten diese weiterführende Informationen zur aktuellsten Version der betreffenden Software sowie zur Verfügbarkeit von Sicherheitspatches oder Hinweise zu Workarounds.
  3. Wenden Sie sich bei weiteren Fragen oder Unsicherheiten an Ihren zuständigen Administrator. IT-Sicherheitsverantwortliche sollten die genannten Quellen regelmäßig daraufhin prüfen, ob ein neues Sicherheitsupdate zur Verfügung steht.

Hersteller-Informationen zu Updates, Patches und Workarounds

An dieser Stelle finden Sie weiterführende Links mit Informationen über Bug-Reports, Security-Fixes und Workarounds.

IBM Security Bulletin 7145433 vom 2024-06-11 (10.06.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7145433

Ubuntu Security Notice USN-6813-1 vom 2024-06-06 (05.06.2024)
Weitere Informationen finden Sie unter: https://ubuntu.com/security/notices/USN-6813-1

Ubuntu Security Notice USN-6812-1 vom 2024-06-06 (05.06.2024)
Weitere Informationen finden Sie unter: https://ubuntu.com/security/notices/USN-6812-1

Ubuntu Security Notice USN-6811-1 vom 2024-06-06 (05.06.2024)
Weitere Informationen finden Sie unter: https://ubuntu.com/security/notices/USN-6811-1

Ubuntu Security Notice USN-6810-1 vom 2024-06-06 (05.06.2024)
Weitere Informationen finden Sie unter: https://ubuntu.com/security/notices/USN-6810-1

IBM Security Bulletin 7155321 vom 2024-06-04 (04.06.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7155321

IBM Security Bulletin 7156257 vom 2024-06-03 (02.06.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7156257

IBM Security Bulletin 7155800 vom 2024-05-31 (02.06.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7155800

SUSE Security Update SUSE-SU-2024:1845-1 vom 2024-05-29 (30.05.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-May/018629.html

IBM Security Bulletin 7155037 vom 2024-05-28 (28.05.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7155037

Hitachi Vulnerability Information HITACHI-SEC-2024-125 vom 2024-05-28 (27.05.2024)
Weitere Informationen finden Sie unter: https://www.hitachi.com/products/it/software/security/info/vuls/hitachi-sec-2024-125/index.html

SUSE Security Update SUSE-SU-2024:1793-1 vom 2024-05-27 (27.05.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-May/018606.html

IBM Security Bulletin 7154537 vom 2024-05-21 (21.05.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7154537

IBM Security Bulletin 7154506 vom 2024-05-21 (21.05.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7154506

Dell Security Advisory DSA-2024-224 vom 2024-05-20 (20.05.2024)
Weitere Informationen finden Sie unter: https://www.dell.com/support/kbdoc/de-de/000225215/dsa-2024-224-security-update-for-dell-networker-runtime-environment-nre-vulnerabilities

Amazon Linux Security Advisory ALASJAVA-OPENJDK11-2024-008 vom 2024-05-20 (20.05.2024)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/AL2/ALASJAVA-OPENJDK11-2024-008.html

Amazon Linux Security Advisory ALAS-2024-2540 vom 2024-05-15 (15.05.2024)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/AL2/ALAS-2024-2540.html

IBM Security Bulletin 7151118 vom 2024-05-13 (13.05.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7151118

IBM Security Bulletin 7150727 vom 2024-05-09 (09.05.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7150727

Rocky Linux Security Advisory RLSA-2024:1828 vom 2024-05-06 (06.05.2024)
Weitere Informationen finden Sie unter: https://errata.build.resf.org/RLSA-2024:1828

Rocky Linux Security Advisory RLSA-2024:1822 vom 2024-05-06 (06.05.2024)
Weitere Informationen finden Sie unter: https://errata.build.resf.org/RLSA-2024:1822

Rocky Linux Security Advisory RLSA-2024:1818 vom 2024-05-06 (06.05.2024)
Weitere Informationen finden Sie unter: https://errata.build.resf.org/RLSA-2024:1818

SUSE Security Update SUSE-SU-2024:1498-1 vom 2024-05-06 (05.05.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-May/018449.html

SUSE Security Update SUSE-SU-2024:1499-1 vom 2024-05-06 (05.05.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-May/018448.html

Amazon Linux Security Advisory ALAS-2024-2527 vom 2024-04-29 (29.04.2024)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/AL2/ALAS-2024-2527.html

Amazon Linux Security Advisory ALAS-2024-2528 vom 2024-04-29 (29.04.2024)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/AL2/ALAS-2024-2528.html

Amazon Linux Security Advisory ALASCORRETTO8-2024-011 vom 2024-04-29 (29.04.2024)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/AL2/ALASCORRETTO8-2024-011.html

SUSE Security Update SUSE-SU-2024:1452-1 vom 2024-04-26 (28.04.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-April/018433.html

SUSE Security Update SUSE-SU-2024:1451-1 vom 2024-04-26 (28.04.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-April/018434.html

SUSE Security Update SUSE-SU-2024:1450-1 vom 2024-04-26 (28.04.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-April/018435.html

Oracle Linux Security Advisory ELSA-2024-1822 vom 2024-04-23 (23.04.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-1822.html

Oracle Linux Security Advisory ELSA-2024-1818 vom 2024-04-23 (23.04.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-1818.html

Oracle Linux Security Advisory ELSA-2024-1828 vom 2024-04-24 (23.04.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-1828.html

Red Hat Security Advisory RHSA-2024:1822 vom 2024-04-22 (22.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1822

Red Hat Security Advisory RHSA-2024:1821 vom 2024-04-22 (22.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1821

Debian Security Advisory DSA-5672 vom 2024-04-22 (22.04.2024)
Weitere Informationen finden Sie unter: https://lists.debian.org/debian-security-announce/2024/msg00081.html

Debian Security Advisory DLA-3793 vom 2024-04-22 (22.04.2024)
Weitere Informationen finden Sie unter: https://lists.debian.org/debian-lts-announce/2024/04/msg00014.html

Oracle Linux Security Advisory ELSA-2024-1821 vom 2024-04-22 (22.04.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-1821.html

Debian Security Advisory DSA-5671 vom 2024-04-22 (21.04.2024)
Weitere Informationen finden Sie unter: https://lists.debian.org/debian-security-announce/2024/msg00080.html

Oracle Linux Security Advisory ELSA-2024-1825 vom 2024-04-20 (21.04.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-1825.html

Red Hat Security Advisory RHSA-2024:1826 vom 2024-04-18 (18.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1826

Red Hat Security Advisory RHSA-2024:1819 vom 2024-04-18 (18.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1819

Red Hat Security Advisory RHSA-2024:1828 vom 2024-04-18 (18.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1828

Red Hat Security Advisory RHSA-2024:1818 vom 2024-04-18 (17.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1818

Red Hat Security Advisory RHSA-2024:1827 vom 2024-04-17 (17.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1827

Red Hat Security Advisory RHSA-2024:1825 vom 2024-04-18 (17.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1825

Red Hat Security Advisory RHSA-2024:1824 vom 2024-04-17 (17.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1824

Red Hat Security Advisory RHSA-2024:1823 vom 2024-04-17 (17.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1823

Red Hat Security Advisory RHSA-2024:1816 vom 2024-04-17 (17.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1816

Red Hat Security Advisory RHSA-2024:1820 vom 2024-04-17 (17.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1820

Red Hat Security Advisory RHSA-2024:1815 vom 2024-04-17 (17.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1815

Oracle Linux Security Advisory ELSA-2024-1817 vom 2024-04-17 (17.04.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-1817.html

Azul Zulu Quarterly Update Release Notes (16.04.2024)
Weitere Informationen finden Sie unter: https://docs.azul.com/core/pdfs/april-2024/azul-zulu-ca-release-notes-april-2024-rev1.1.pdf

Change Log for Amazon Corretto 8 (16.04.2024)
Weitere Informationen finden Sie unter: https://github.com/corretto/corretto-8/blob/release-8.412.08.1/CHANGELOG.md

Red Hat Security Advisory RHSA-2024:1817 vom 2024-04-16 (16.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1817

Oracle Critical Patch Update Advisory - April 2024 - Appendix Oracle Java SE vom 2024-04-16 (16.04.2024)
Weitere Informationen finden Sie unter: https://www.oracle.com/security-alerts/cpuapr2024.html#AppendixJAVA

Versionshistorie dieser Sicherheitswarnung

Dies ist die 22. Version des vorliegenden IT-Sicherheitshinweises für Oracle Java SE. Sollten weitere Updates bekanntgegeben werden, wird dieser Text aktualisiert. Änderungen oder Ergänzungen können Sie in dieser Versionshistorie nachlesen.

16.04.2024 - Initiale Fassung
17.04.2024 - Neue Updates von Oracle Linux und Red Hat aufgenommen
18.04.2024 - Neue Updates von Red Hat aufgenommen
21.04.2024 - Neue Updates von Oracle Linux aufgenommen
22.04.2024 - Neue Updates von Oracle Linux, Debian und Red Hat aufgenommen
23.04.2024 - Neue Updates von Oracle Linux aufgenommen
28.04.2024 - Neue Updates von SUSE aufgenommen
29.04.2024 - Neue Updates von Amazon aufgenommen
05.05.2024 - Neue Updates von SUSE aufgenommen
06.05.2024 - Neue Updates von Rocky Enterprise Software Foundation aufgenommen
09.05.2024 - Neue Updates von IBM und IBM-APAR aufgenommen
13.05.2024 - Neue Updates von IBM aufgenommen
15.05.2024 - Neue Updates von Amazon aufgenommen
20.05.2024 - Neue Updates von Amazon und Dell aufgenommen
21.05.2024 - Neue Updates von IBM aufgenommen
27.05.2024 - Neue Updates von SUSE und HITACHI aufgenommen
28.05.2024 - Neue Updates von IBM aufgenommen
30.05.2024 - Neue Updates von SUSE aufgenommen
02.06.2024 - Neue Updates von IBM aufgenommen
04.06.2024 - Neue Updates von IBM aufgenommen
05.06.2024 - Neue Updates von Ubuntu aufgenommen
10.06.2024 - Neue Updates von IBM aufgenommen

+++ Redaktioneller Hinweis: Dieser Text wurde auf Basis aktueller BSI-Daten generiert und wird je nach Warnlage datengetrieben aktualisiert. Feedback und Anmerkungen nehmen wir unter hinweis@news.de entgegen. +++

Folgen Sie News.de schon bei Facebook, Twitter, Pinterest und YouTube? Hier finden Sie brandheiße News, aktuelle Videos und den direkten Draht zur Redaktion.

/roj/news.de

Themen:
Bleiben Sie dran!

Wollen Sie wissen, wie das Thema weitergeht? Wir informieren Sie gerne.